<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Profile</title>
</head>
<body>
<div>
    <h1>Hello <span id="username">{Jesse}</span></h1>
    <div>
        <p>nickname: <span type="text" id="nickname">{Jesse}</span></p>


        <div>
            <img id="profile-picture" src="https://img2.baidu.com/it/u=1713796643,4188877777&amp;fm=253&amp;fmt=auto&amp;app=138&amp;f=JPEG?w=889&amp;h=500"
                 height="50" width="60">
        </div>

        <form id="edit"  action="" method="post" role="form" onsubmit="return false">
            <button type="submit">Edit</button>
        </form>
    </div>

    <div>
        <form id="logout" action="" method="post" role="form" onsubmit="return false">
            <button type="submit">退出登陆</button>
        </form>
    </div>
</div>

<!--<span id="nickname">{Jesse}</span><input id="change-nickname" type="button" value="edit" onclick="changeNicknameContent()"/>-->
<!--<script type="text/javascript">-->
<!--    function changeNicknameContent() {-->
<!--        var o = document.getElementById("nickname");-->
<!--        var c = o.innerHTML;-->
<!--        o.innerHTML = "<input type='text' id='input-nickname' value='" + c + "'/>"-->
<!--    }-->
<!--</script>-->

<div class="layui-form-item">
        <input type="hidden" id="img_url">
        <input type="file" onchange="changeProfileImg()" id="img_file">
        <img src="" alt="" id="img_id" style="width: 100px">
</div>
<script>
    function changeProfileImg(){
        var file =  document.getElementById('img_file').files[0];
        var re = new FileReader();
        re.readAsDataURL(file);
        re.onload = function(re){
            $('#img_id').attr("src", re.target.result);
        }
    }
</script>

<!--<span id="content">阿里西西网页特效</span><input id="changeContent" type="button" value="修改" onclick="changeContent()"/>-->
<!--<script type="text/javascript">-->
<!--    function changeContent(){-->
<!--        var o = document.getElementById("content");-->
<!--        var c = o.innerHTML;-->
<!--        o.innerHTML = "<input type='text' value='" + c + "'/>"-->
<!--    }-->
<!--</script>-->


<!-- jQuery (Bootstrap 的所有 JavaScript 插件都依赖 jQuery，所以必须放在前边) -->
<script src="https://cdn.jsdelivr.net/npm/jquery@1.12.4/dist/jquery.min.js"></script>

<script>
    function getUserData() {
        $.ajax({
            url: '/req/data',
            type: 'get',
            async: true,
            headers: {},
            data: {},
            timeout: 50000,
            dataType: 'json',
            success: function (data, textStatus, jqXHR) {
                if (data.errMsg == "") {
                    $("span#username").text(data.data.Username)         //将id为username的span中的文本{Jesse}变成data.username
                    $("span#nickname").text(data.data.Nickname)         //将id为nickname中的文本变为data.nickname
                    $("img#profile-picture").attr("src", data.data.ProfilePictureUrl)   //将id为profile-picture中的src链接变为data.ProfilePictureUrl
                } else {
                    alert(data.errMsg)
                }
            },
            error: function (xhr, textStatus) {
                console.log("用户data错误")
            },
            complete: function () {
                console.log("读用户data结束")
            }

        })
    }

    $(function () {
        $("form#edit").on("submit", function () {
            $.ajax({
                url: '',
                type: 'get',
                async: true,
                data: {},
                timeout: 50000,
                dataType: 'json',
                success: function (data, textStatus, jqXHR, msg) {
                    $.cookie("username", data.data.Username, {path:"/req"})
                    $.cookie("nickname", data.data.Nickname, {path:"/req"})
                    $.cookie("profile_picture", data.data.ProfilePictureUrl, {path:"/req"})
                },
                error: function (xhr, textStatus, msg) {
                    console.log('profile error')
                    alert(msg)
                },
                complete: function (){
                    console.log('profile complete')
                }
            })
        });

        $("form#logout").on("submit", function () {
            $.ajax({
                url: '/req/logout',
                type: 'post',
                async: true,
                headers: {},
                data: {},
                timeout: 50000,
                dataType: 'json',
                success: function (data, textStatus, jqXHR) {
                    if (data.errMsg == ""){
                        location.href='/login'
                    } else {
                        alert(data.errMsg)
                    }
                },
                error: function (xhr, textStatus) {
                    console.log('logout错误')
                },
                complete: function () {
                    console.log('logout结束')
                }
            })
        });
    });
</script>
</body>
</html>